#include <LedControl.h> //  Tímto připojíme knihovnu 
                        //  s funkcemi pro ovládání 
                        //  LED matice

                        //  musíme vytvořit třidu 
                        //  představující dislej
                        
LedControl Displej=LedControl(12,10,11,1);  
 
// zdířka D12 je připojena na DIN
// zdířka D11 je připojena na CS
// zdířka D10 je připojena na CLK
// 1 znamená, že máme jen jeden displej
 
void setup()
{
  // nula zmanená právě to, že máme jeden displej
  // (číslo prvního displeje je 0)
  Displej.shutdown(0,false);// tohle zapne displej
  Displej.setIntensity(0,4);// nastavíme jas displeje na 4 (možné je 0-15)
  Displej.clearDisplay(0);// tahle funkce smaže displej
}
void loop()
{
  int radek, sloupec;
  radek = 2;
  sloupec = 3; //Zadame cislo řádku a sloupce, kde se
              //má rozsvítit LEDka. Čísla začínají od nuly
  Displej.setLed(0, radek, sloupec, 1); // Zapne LEDku 
  delay (1000);
  Displej.setLed(0, radek, sloupec, 0); // Vypne LEDku 
  delay (1000);
}

